add_subdirectory( data   )
add_subdirectory( pics   )
add_subdirectory( sounds )
add_subdirectory( icons  )
add_subdirectory( fonts  )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/libtdeedu/tdeeducore
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### khangman (executable)

tde_add_executable( khangman AUTOMOC

  SOURCES
        prefs.kcfgc
        normal.ui
        advanced.ui
        timerdlg.ui
        khangman.cpp
        main.cpp
        khangmanview.cpp
        khnewstuff.cpp
        timer.cpp
        fontchecker.cpp
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared
     tdenewstuff-shared
     tdeeducore-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

install(
    FILES khangmanui.rc
    DESTINATION ${DATA_INSTALL_DIR}/khangman
)

tde_create_translated_desktop( khangman.desktop )

install(
    FILES khangman.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)

install(
    FILES khangmanrc
    DESTINATION ${CONFIG_INSTALL_DIR}
)
